Bug 1635764 - Power management via API falling into the wrong zone leading to permanently queued requests
Summary: Power management via API falling into the wrong zone leading to permanently q...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.5
Assignee: Brandon Dunne
QA Contact: Parthvi Vala
URL:
Whiteboard:
Depends On: 1628658 1639877
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-03 15:49 UTC by Satoe Imaishi
Modified: 2018-11-05 14:00 UTC (History)
10 users (show)

Fixed In Version: 5.9.5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1628658
Environment:
Last Closed: 2018-11-05 13:59:40 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3466 None None None 2018-11-05 14:00:11 UTC

Comment 2 CFME Bot 2018-10-11 14:01:22 UTC
New commits detected on ManageIQ/manageiq/gaprindashvili:

https://github.com/ManageIQ/manageiq/commit/dead589e7d7112920e1ca90780b0d7cbdd4e12de
commit dead589e7d7112920e1ca90780b0d7cbdd4e12de
Author:     Joe Rafaniello <jrafanie@users.noreply.github.com>
AuthorDate: Fri Sep 14 15:26:30 2018 -0400
Commit:     Joe Rafaniello <jrafanie@users.noreply.github.com>
CommitDate: Fri Sep 14 15:26:30 2018 -0400

    Merge pull request #17987 from bdunne/ensure_zone_is_valid

    Prevent queueing things for a zone that doesn't exist in the region
    https://bugzilla.redhat.com/show_bug.cgi?id=1635764

    (cherry picked from commit 01c28d57c9861c79f2c115c5e5ec1c58afe4873e)

 app/models/miq_queue.rb | 2 +
 spec/lib/extensions/ar_nested_count_by_spec.rb | 47 +-
 spec/models/miq_action_spec.rb | 6 +-
 spec/models/miq_queue_spec.rb | 20 +-
 spec/models/miq_request_spec.rb | 5 +-
 spec/models/miq_task_spec.rb | 32 +-
 spec/models/mixins/authentication_mixin_spec.rb | 5 +-
 7 files changed, 69 insertions(+), 48 deletions(-)


https://github.com/ManageIQ/manageiq/commit/a44cae5a04cd9965eee660d0cef5864fb4a3ee07
commit a44cae5a04cd9965eee660d0cef5864fb4a3ee07
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Oct  1 15:56:11 2018 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Oct  1 15:56:11 2018 -0400

    Merge pull request #18036 from bdunne/action_result_shouldnt_be_nil

    Currently on a successful ActionResult (start / stop) we return nil

    (cherry picked from commit 2fb626056c1b7e53203ac7d727780693a1c619c1)

    https://bugzilla.redhat.com/show_bug.cgi?id=1635764

 app/models/mixins/inter_region_api_method_relay.rb | 1 +
 spec/models/mixins/inter_region_api_method_relay_spec.rb | 8 +-
 2 files changed, 5 insertions(+), 4 deletions(-)

Comment 3 CFME Bot 2018-10-11 14:29:55 UTC
New commit detected on ManageIQ/manageiq-api/gaprindashvili:

https://github.com/ManageIQ/manageiq-api/commit/96b8096ee80d56ac45faee5fe73328443a4ff085
commit 96b8096ee80d56ac45faee5fe73328443a4ff085
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Wed Oct  3 08:56:43 2018 -0400
Commit:     Gregg Tanzillo <gtanzill@redhat.com>
CommitDate: Wed Oct  3 08:56:43 2018 -0400

    Merge pull request #472 from bdunne/central_admin

    Add basic CentralAdmin support to the API

    (cherry picked from commit 4dbf6b0bbb3cc10be69d6259c069e385ee7bc10c)

    https://bugzilla.redhat.com/show_bug.cgi?id=1635764

 app/controllers/api/instances_controller.rb | 6 +
 app/controllers/api/mixins/central_admin.rb | 38 +
 app/controllers/api/vms_controller.rb | 7 +
 spec/requests/instances_spec.rb | 12 +-
 spec/requests/vms_spec.rb | 13 +-
 spec/support/shared_examples/resource_power_operations.rb | 20 +
 6 files changed, 94 insertions(+), 2 deletions(-)

Comment 10 Parthvi Vala 2018-10-29 04:12:42 UTC
FIXED. Verified on 5.9.5.3.20181023135339_256263f.

Comment 12 errata-xmlrpc 2018-11-05 13:59:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3466


Note You need to log in before you can comment on or make changes to this bug.